<div class="row">
    <div class="col-lg-5">
        <select class="form-control" [(ngModel)]="selectedVPConfig">
            <option [ngValue]="null" disabled>Select View Provider</option>
            <option *ngFor="let config of availableViewProviders()" [ngValue]="config">{{ config.name }}</option>
        </select>
    </div>
    <div class="col-lg-7">
        <button class="btn btn-outline-primary" (click)="addWidget()" [disabled]="!selectedVPConfig">Add Widget</button>
        <button class="btn btn-outline-secondary" (click)="saveConfig()" title="Save current layout">Save Config</button>
        <button class="btn btn-outline-secondary" (click)="loadConfig()" title="Load last layout">Load Config</button>
    </div>
</div>

<hr>

<div class="alert alert-primary" role="alert" [hidden]="!isLoadingData">
    <span class="loading-indicator" placement="bottom left" containerClass="tooltip-loading">
        <i class="fa fa-spinner fa-spin"></i> Loading user configuration
    </span>
</div>

<app-dashboard-grid [dashboard]="DASHBOARD_ID" [hidden]="isLoadingData"></app-dashboard-grid>
